## ros-kinetic-rocon-unreliable-experiments 0.8.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_unreliable_experiments)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS roscpp std_msgs)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
catkin_package(CATKIN_DEPENDS roscpp std_msgs)

##############################################################################
# Project
##############################################################################

add_executable(multimaster_experimental_talker src/talker.cpp)
add_executable(multimaster_experimental_listener src/listener.cpp)
add_executable(multimaster_experimental_listener_unreliable src/listener_unreliable.cpp)

target_link_libraries(multimaster_experimental_talker ${catkin_LIBRARIES})
target_link_libraries(multimaster_experimental_listener ${catkin_LIBRARIES})
target_link_libraries(multimaster_experimental_listener_unreliable ${catkin_LIBRARIES})

set_target_properties(multimaster_experimental_talker PROPERTIES OUTPUT_NAME talker)
set_target_properties(multimaster_experimental_listener PROPERTIES OUTPUT_NAME listener)
set_target_properties(multimaster_experimental_listener_unreliable PROPERTIES OUTPUT_NAME listener_unreliable)

##############################################################################
# Installs
##############################################################################

install(TARGETS multimaster_experimental_talker RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(TARGETS multimaster_experimental_listener RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(TARGETS multimaster_experimental_listener_unreliable RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-rocon-unreliable-experiments (0.8.1-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Oct 2016 01:13:03 -0000

ros-kinetic-rocon-unreliable-experiments (0.7.10-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.7.9-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.7.8-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.7.7-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.7.6-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.7.5-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.7.4-2xenial) xenial; urgency=high

  * build include path 'include' does not exist
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.5.0-2xenial) xenial; urgency=high

  * make sure our target names are unique.
  * 0.4.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:03:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.2.2-2xenial) xenial; urgency=high

  * fix wiki links.
  * catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

ros-kinetic-rocon-unreliable-experiments (0.1.0-2xenial) xenial; urgency=high

  * experiments moved out of graveyard.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 13 Nov 2012 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rocon-unreliable-experiments
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/rocon_unreliable_experiments
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-unreliable-experiments
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: Some experiments testing roscpp unreliable transports.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-unreliable-experiments//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
